Subject: Re: [v3] ARM: rockchip: Fix a leaked reference by adding of_node_put() in two functions

From: Heiko Stuebner <[email-masked]>
Date: Sun, 28 Apr 2019 12:40:08 +0200

Am Sonntag, 28. April 2019, 08:27:05 CEST schrieb Markus Elfring:
> >  arch/arm/mach-rockchip/platsmp.c | 12 ++++++++++--
> >  arch/arm/mach-rockchip/pm.c      |  2 ++
> 
> * Would a commit subject variant be nicer?

yeah, but I'll simply adjust that when applying.

> * I dare to present a reminder for a recurring development topic.
>   How do you think about to adjust the exception handling in these function
>   implementations a bit more according to the Linux coding style
>   (so that the addition of duplicate function calls would be avoided)?

I actually requested not doing wild gotos for of_node_put calls,
as it makes the code harder to read, especially when the "node"
gets reused for a different node-source.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel